Subject: bug#37428: Keyboard layout setting fails when no keyboard is attached

From: Ludovic Courtès <[email-masked]>
Date: Thu, 19 Sep 2019 23:02:49 +0200

Hello,

dario <[email-masked]> skribis:

> When the keyboard is attached, the keyboard layout is set correctly in
> the TTY and in the graphical session. However, without the keyboard
> attached, even when an external USB-keyboard is attached, the keyboard
> layout is only set correctly in the TTY, but in the graphical session,
> the default QWERTY layout is set.

Are you using GNOME, or Xfce, or some lightweight window manager?

When the X11 keyboard layout is incorrect, are there any hints in
~/.local/share/xorg/Xorg.1.log as to why?

Thanks,
Ludo’.